org.apache.struts2.interceptor.validation

## Class AnnotationValidationInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.MethodFilterInterceptor
    - - com.opensymphony.xwork2.validator.ValidationInterceptor
      - - org.apache.struts2.interceptor.validation.AnnotationValidationInterceptor

- All Implemented Interfaces:
    Interceptor, Serializable

      public class AnnotationValidationInterceptor
      extends ValidationInterceptor

  Extends the xwork validation interceptor to also check for a @SkipValidation annotation, and if found, don't validate this action method
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.interceptor.MethodFilterInterceptor

      `excludeMethods, includeMethods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationValidationInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `doIntercept(ActionInvocation invocation)` Subclasses must override to implement the interceptor logic.
    `protected Method` | `getActionMethod(Class<?> actionClass, String methodName)`

    - ### Methods inherited from class com.opensymphony.xwork2.validator.ValidationInterceptor

      `doBeforeInvocation, getValidationContext, isValidateAnnotatedMethodOnly, setActionValidatorManager, setAlwaysInvokeValidate, setDeclarative, setProgrammatic, setValidateAnnotatedMethodOnly`

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.MethodFilterInterceptor

      `applyInterceptor, getExcludeMethodsSet, getIncludeMethodsSet, intercept, setExcludeMethods, setIncludeMethods`

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `destroy, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationValidationInterceptor

          public AnnotationValidationInterceptor()

  - ### Method Detail

    - #### doIntercept

          protected String doIntercept(ActionInvocation invocation)
                                throws Exception

      Description copied from class: `MethodFilterInterceptor`
      Subclasses must override to implement the interceptor logic.
      Overrides:
        `doIntercept` in class `ValidationInterceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the result of invocation
      Throws:
        `Exception` - in case of any errors

    - #### getActionMethod

          protected Method getActionMethod(Class<?> actionClass,
                                           String methodName)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.